www.cendio.com
Bug 5103 - Services doesn't start on boot on Solaris
: Services doesn't start on boot on Solaris
Status: CLOSED FIXED
: ThinLinc
Other
: trunk
: All Solaris
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-04-16 14:55 by
Modified: 2014-05-05 15:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-16 14:55:51
[ apr 16 14:27:31 Executing start method ("/sbin/rc3") ]
Executing legacy init script "/etc/rc3.d/S16boot.server".
Legacy init script "/etc/rc3.d/S16boot.server" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S50apache".
Legacy init script "/etc/rc3.d/S50apache" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S80mipagent".
Legacy init script "/etc/rc3.d/S80mipagent" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S98vsmagent".
/etc/rc3.d/S98vsmagent: syntaxfel på rad 15: `<' oväntat
Legacy init script "/etc/rc3.d/S98vsmagent" exited with return code 2.
Executing legacy init script "/etc/rc3.d/S99tlwebaccess".
/etc/rc3.d/S99tlwebaccess: syntaxfel på rad 15: `<' oväntat
Legacy init script "/etc/rc3.d/S99tlwebaccess" exited with return code 2.
Executing legacy init script "/etc/rc3.d/S99tlwebadm".
/etc/rc3.d/S99tlwebadm: syntaxfel på rad 15: `<' oväntat
Legacy init script "/etc/rc3.d/S99tlwebadm" exited with return code 2.
Executing legacy init script "/etc/rc3.d/S99vsmserver".
/etc/rc3.d/S99vsmserver: syntaxfel på rad 15: `<' oväntat
Legacy init script "/etc/rc3.d/S99vsmserver" exited with return code 2.
[ apr 16 14:27:33 Method "start" exited with status 0 ]
------- Comment #1 From cendio 2014-04-16 14:56:48 -------
(In reply to comment #0)

Log messages gathered from
/var/svc/log/milestone-multi-user-server:default.log.
------- Comment #2 From cendio 2014-04-16 14:59:51 -------
http://www.archivum.info/smf-discuss@opensolaris.org/2008-06/00069/(smf-discuss)-lsvcrun-and-!.html
looks like a relevant discussion.
------- Comment #3 From cendio 2014-04-16 16:04:58 -------
The scripts were changed to #!/bin/bash during 4.1.0 development cycle
(r27387).

About 10000 commits before that, they were changed from #!/bin/bash to
#!/bin/sh in 2009, while identifying an issue with Solaris sourcing files using
/bin/sh (r17185).
------- Comment #4 From cendio 2014-04-16 16:41:26 -------
Fixed in r28883.
------- Comment #5 From cendio 2014-04-30 08:56:01 -------
Verified using build 4339, works as expected.

Executing legacy init script "/etc/rc3.d/S98vsmagent".
Starting ThinLinc vsmagent
Legacy init script "/etc/rc3.d/S98vsmagent" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S99tlwebaccess".
Starting ThinLinc Web Access
Legacy init script "/etc/rc3.d/S99tlwebaccess" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S99tlwebadm".
Starting ThinLinc Web Administration
Legacy init script "/etc/rc3.d/S99tlwebadm" exited with return code 0.
Executing legacy init script "/etc/rc3.d/S99vsmserver".
Starting ThinLinc vsmserver
Legacy init script "/etc/rc3.d/S99vsmserver" exited with return code 0.
[ apr 30 08:50:40 Method "start" exited with status 0 ]